import React from 'react';

const Logo = ({ width = 240, height = 40, colored = true }) => {
  if (colored) {
    return (
      <svg xmlns="http://www.w3.org/2000/svg" width={width} height={height} viewBox="0 0 310 67">
        <title id="logo">Raisin Customer Administration Portal</title>
        <g fill="none" fillRule="evenodd">
          <g>
            <path
              fill="#0B3A4F"
              d="M267.444 31.062v-.003c-4.57 0-6.758 2.772-6.758 8.06v22.325H246.15V20.868h14.536v4.178s3.202-5.46 11.992-5.46c13.176 0 15.901 10.553 15.901 15.776v26.08h-14.45V39.153c0-5.284-2.113-8.091-6.685-8.091zm-131.12 10.01c0-4.802-3.892-8.694-8.694-8.694-4.8 0-8.692 3.892-8.692 8.692 0 4.805 3.893 8.694 8.694 8.694 4.8 0 8.694-3.893 8.694-8.692h-.002zM124.537 62.43c-11.025 0-19.158-8.9-19.158-21.265 0-12.097 8.422-21.507 19.358-21.507 8.065 0 11.732 4.903 11.732 4.903v-3.694h13.623v40.593h-13.623v-3.59s-3.854 4.56-11.93 4.56h-.002zM103.94 28.215v.002c0 4.803-3.893 8.692-8.694 8.692-4.8 0-8.692-3.889-8.692-8.694 0-4.801 3.89-8.694 8.692-8.694 4.801 0 8.694 3.893 8.694 8.694zm55.767 33.251V20.868h14.708v40.598h-14.708zm16.046-52.631l.002-.002c0 4.802-3.894 8.694-8.694 8.694-4.8 0-8.692-3.892-8.692-8.692 0-4.805 3.892-8.697 8.692-8.697 4.8 0 8.692 3.892 8.692 8.697zm46.262 52.631V20.868h14.708v40.598h-14.708zm16.048-52.631l.002-.002c0 4.802-3.893 8.694-8.694 8.694-4.802 0-8.694-3.892-8.694-8.692 0-4.805 3.892-8.697 8.694-8.697 4.8 0 8.692 3.892 8.692 8.697zm-38.277 10.927c5.689.11 9.417.9 14.688 3.314l-4.809 9.369c-3.095-2.044-5.874-2.98-8.205-2.98-2.51 0-3.88 1.28-3.88 2.939 0 .611.362 1.222.81 1.57 1.164.875 4.209 1.574 5.914 2.012 2.328.696 5.104 1.596 7.073 2.966 2.575 1.796 4.638 4.632 4.638 8.473 0 9.674-7.294 15.281-19.418 14.937l.002-.002c-5.288 0-10.838-1.42-15.872-4.4l5.54-10.416c3.668 2.681 7.647 4.257 10.781 4.335 2.964.075 4.21-1.222 4.21-2.97 0-.699-.256-1.407-.717-1.78-.818-.66-1.697-1.018-5.107-1.888-1.786-.455-6.027-1.927-7.982-3.319-2.71-1.929-4.36-4.46-4.538-7.772-.491-9.26 5.788-14.603 16.872-14.387zm101.34 25.214c4.8 0 8.693 3.889 8.693 8.694 0 4.8-3.889 8.692-8.694 8.692-4.8 0-8.692-3.893-8.692-8.692 0-4.802 3.893-8.694 8.692-8.694zM85.581 20.87v40.636H70.783V20.87h14.8z"
            />
            <path
              fill="#DC432E"
              d="M41.628 54.147v-33.25h-7.77l-.025-.025-.003.002-.024.021H8.379v11.032h14.393L5.425 49.276v.002C2.006 44.353 0 38.374 0 31.924 0 15.243 13.385 1.686 30.003 1.416l.503-.004.504.004c16.616.27 30.008 13.825 30.007 30.505 0 16.852-13.661 30.51-30.511 30.51-6.412 0-12.362-1.984-17.274-5.367L30.6 39.7v14.447h11.028z"
            />
          </g>
        </g>
      </svg>
    );
  }

  return (
    <svg xmlns="http://www.w3.org/2000/svg" width={width} height={height} viewBox="0 0 158 32">
      <title id="logo">Raisin Customer Administration Portal</title>
      <g fill="none" fillRule="evenodd">
        <g fill="#FFF">
          <g>
            <path
              d="M135.845 15.778v-.002c-2.322 0-3.433 1.408-3.433 4.094v11.34h-7.383V10.6h7.383v2.122s1.626-2.773 6.091-2.773c6.693 0 8.077 5.36 8.077 8.013v13.247h-7.34V19.887c0-2.684-1.073-4.11-3.395-4.11zm-66.601 5.084c0-2.44-1.977-4.416-4.416-4.416-2.438 0-4.415 1.977-4.415 4.415 0 2.44 1.977 4.416 4.416 4.416 2.438 0 4.416-1.977 4.416-4.415h-.001zM63.257 31.71c-5.6 0-9.731-4.52-9.731-10.801 0-6.145 4.278-10.924 9.833-10.924 4.096 0 5.959 2.49 5.959 2.49V10.6h6.919v20.618h-6.92v-1.823s-1.957 2.316-6.06 2.316zM52.795 14.33v.001c0 2.44-1.977 4.415-4.416 4.415-2.438 0-4.415-1.975-4.415-4.415s1.976-4.416 4.415-4.416 4.416 1.977 4.416 4.416zm28.326 16.89V10.6h7.47v20.62h-7.47zm8.15-26.733l.001-.001c0 2.439-1.978 4.416-4.416 4.416-2.438 0-4.415-1.977-4.415-4.415 0-2.441 1.977-4.418 4.415-4.418 2.438 0 4.415 1.977 4.415 4.418zM112.77 31.22V10.6h7.47v20.62h-7.47zm8.15-26.733l.002-.001c0 2.439-1.977 4.416-4.416 4.416-2.44 0-4.416-1.977-4.416-4.415 0-2.441 1.977-4.418 4.416-4.418 2.438 0 4.415 1.977 4.415 4.418zm-19.441 5.55c2.89.056 4.783.457 7.46 1.683l-2.442 4.759c-1.572-1.038-2.984-1.513-4.168-1.513-1.275 0-1.97.65-1.97 1.492 0 .31.183.621.41.798.592.444 2.138.8 3.004 1.022 1.183.353 2.593.81 3.593 1.506 1.308.912 2.356 2.353 2.356 4.304 0 4.913-3.705 7.762-9.863 7.587v-.001c-2.685 0-5.504-.722-8.061-2.235l2.814-5.29c1.863 1.361 3.884 2.162 5.476 2.201 1.505.038 2.138-.62 2.138-1.508 0-.355-.13-.715-.364-.905-.416-.335-.862-.517-2.594-.958-.907-.231-3.061-.98-4.054-1.686-1.376-.98-2.215-2.266-2.305-3.948-.25-4.704 2.94-7.417 8.57-7.308zm51.474 12.807c2.438 0 4.415 1.975 4.415 4.416 0 2.438-1.975 4.415-4.415 4.415-2.438 0-4.415-1.977-4.415-4.415 0-2.44 1.977-4.416 4.415-4.416zM43.47 10.6v20.64h-7.517v-20.64h7.517zM21.144 27.503V10.615h-3.946l-.013-.014-.002.001-.005.005-.006.007H4.256v5.603h7.31l-8.81 8.813C1.019 22.529 0 19.492 0 16.216 0 7.763 6.767.889 15.18.72l.315-.003.316.003c8.412.169 15.182 7.042 15.182 15.494 0 8.56-6.94 15.497-15.498 15.497-3.257 0-6.28-1.008-8.774-2.726l8.822-8.82v7.338h5.601z"
              transform="translate(-24 -32) translate(24 32)"
            />
          </g>
        </g>
      </g>
    </svg>
  );
};

export default Logo;
